Skip to content
ShaireDevelopers

cycles

7 endpoints.

get/api/cycles#

Query

listIdstring · uuid
Request
curl https://api.shairelabs.com/api/cycles \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · Cycle[]

idstring · uuid*
workspaceIdstring · uuid*
namestring*
numberinteger*
startsOnstring*
endsOnstring*
capacitynumber | null*
autoRolloverboolean*
cadenceIdstring · uuid | null*
folderIdstring · uuid | null*
closedAtstring | null*
closedTicketCountinteger | null*
archivedAtstring | null*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

post/api/cycles#

Body

namestring*
min length 1 · max length 120
startsOnstring · date*
endsOnstring · date*
capacitynumber | null
min 0 · max 9999.99 · default null
autoRolloverboolean
default true
Request
curl https://api.shairelabs.com/api/cycles \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","startsOn":"2026-01-31","endsOn":"2026-01-31"}'

Response · 201 · CycleDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
numberinteger*
startsOnstring*
endsOnstring*
capacitynumber | null*
autoRolloverboolean*
cadenceIdstring · uuid | null*
folderIdstring · uuid | null*
closedAtstring | null*
closedTicketCountinteger | null*
archivedAtstring | null*
createdAtstring*
updatedAtstring*
summaryobject*
cycleIdstring · uuid*
totalinteger*
bySystemicStateobject*
openinteger*
in_progressinteger*
doneinteger*
canceledinteger*
overdueinteger*
unassignedinteger*
estimateTotalnumber | null*
estimateDonenumber | null*
unestimatedinteger*
capacitynumber | null*

Also answers 401 and 403. SeeErrors.

get/api/cycles/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/cycles/$CYCLE_ID \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · CycleDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
numberinteger*
startsOnstring*
endsOnstring*
capacitynumber | null*
autoRolloverboolean*
cadenceIdstring · uuid | null*
folderIdstring · uuid | null*
closedAtstring | null*
closedTicketCountinteger | null*
archivedAtstring | null*
createdAtstring*
updatedAtstring*
summaryobject*
cycleIdstring · uuid*
totalinteger*
bySystemicStateobject*
openinteger*
in_progressinteger*
doneinteger*
canceledinteger*
overdueinteger*
unassignedinteger*
estimateTotalnumber | null*
estimateDonenumber | null*
unestimatedinteger*
capacitynumber | null*

Also answers 401 and 403. SeeErrors.

patch/api/cycles/{id}#

Path

idstring*

Body

namestring
min length 1 · max length 120
startsOnstring · date
endsOnstring · date
capacitynumber | null
min 0 · max 9999.99
autoRolloverboolean
Request
curl https://api.shairelabs.com/api/cycles/$CYCLE_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · CycleDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
numberinteger*
startsOnstring*
endsOnstring*
capacitynumber | null*
autoRolloverboolean*
cadenceIdstring · uuid | null*
folderIdstring · uuid | null*
closedAtstring | null*
closedTicketCountinteger | null*
archivedAtstring | null*
createdAtstring*
updatedAtstring*
summaryobject*
cycleIdstring · uuid*
totalinteger*
bySystemicStateobject*
openinteger*
in_progressinteger*
doneinteger*
canceledinteger*
overdueinteger*
unassignedinteger*
estimateTotalnumber | null*
estimateDonenumber | null*
unestimatedinteger*
capacitynumber | null*

Also answers 401 and 403. SeeErrors.

delete/api/cycles/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/cycles/$CYCLE_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

post/api/cycles/{id}/archive#

Path

idstring*
Request
curl https://api.shairelabs.com/api/cycles/$CYCLE_ID/archive \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · CycleDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
numberinteger*
startsOnstring*
endsOnstring*
capacitynumber | null*
autoRolloverboolean*
cadenceIdstring · uuid | null*
folderIdstring · uuid | null*
closedAtstring | null*
closedTicketCountinteger | null*
archivedAtstring | null*
createdAtstring*
updatedAtstring*
summaryobject*
cycleIdstring · uuid*
totalinteger*
bySystemicStateobject*
openinteger*
in_progressinteger*
doneinteger*
canceledinteger*
overdueinteger*
unassignedinteger*
estimateTotalnumber | null*
estimateDonenumber | null*
unestimatedinteger*
capacitynumber | null*

Also answers 401 and 403. SeeErrors.

post/api/cycles/{id}/unarchive#

Path

idstring*
Request
curl https://api.shairelabs.com/api/cycles/$CYCLE_ID/unarchive \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · CycleDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
numberinteger*
startsOnstring*
endsOnstring*
capacitynumber | null*
autoRolloverboolean*
cadenceIdstring · uuid | null*
folderIdstring · uuid | null*
closedAtstring | null*
closedTicketCountinteger | null*
archivedAtstring | null*
createdAtstring*
updatedAtstring*
summaryobject*
cycleIdstring · uuid*
totalinteger*
bySystemicStateobject*
openinteger*
in_progressinteger*
doneinteger*
canceledinteger*
overdueinteger*
unassignedinteger*
estimateTotalnumber | null*
estimateDonenumber | null*
unestimatedinteger*
capacitynumber | null*

Also answers 401 and 403. SeeErrors.